package com.heyu.api.data.service.translate;
/**
* <p>
* 翻译医院 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.translate.TranslateLanguageEntity;
public interface TranslateLanguageService extends IService<TranslateLanguageEntity> {



	TranslateLanguageEntity selectTranslateLanguageById(Long id);


	Long insertTranslateLanguage(TranslateLanguageEntity translateLanguage);


	Long insertOrUpdateTranslateLanguage(TranslateLanguageEntity translateLanguage);


	int updateTranslateLanguageById(TranslateLanguageEntity translateLanguage);


	int updateCoverTranslateLanguageById(TranslateLanguageEntity translateLanguage);


	int deleteTranslateLanguageById(Long id);


}